# string File Reference

`#include <bits/c++config.h>`
`#include <bits/stringfwd.h>`
`#include <bits/char_traits.h>`
`#include <memory>`
`#include <bits/type_traits.h>`
`#include <iosfwd>`
`#include <bits/stl_iterator.h>`
`#include <bits/stl_function.h>`
`#include <bits/basic_string.h>`

Include dependency graph for string:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file string.